corda / net.corda.core.contracts / DummyContract / MultiOwnerState

# MultiOwnerState

`data class MultiOwnerState : ContractState, State`

Alternative state with multiple owners. This exists primarily to provide a dummy state with multiple participants, and could in theory be merged with SingleOwnerState by putting the additional participants in a different field, however this is a good example of a contract with multiple states.

### Constructors

<init> | `MultiOwnerState(magicNumber: Int = 0, owners: List<CompositeKey>)` Alternative state with multiple owners. This exists primarily to provide a dummy state with multiple participants, and could in theory be merged with SingleOwnerState by putting the additional participants in a different field, however this is a good example of a contract with multiple states.

### Properties

contract | `val contract: DummyContract` An instance of the contract class that will verify this state.
magicNumber | `val magicNumber: Int`
owners | `val owners: List<CompositeKey>`
participants | `val participants: List<CompositeKey>` A participant is any party that is able to consume this state in a valid transaction.